AnnouncePluginExtension (Gradle API 4.5)
Date: 2018-01-24

org.gradle.api.plugins.announce

## Class AnnouncePluginExtension

- java.lang.Object
- - org.gradle.api.plugins.announce.AnnouncePluginExtension

-     public class AnnouncePluginExtension
      extends Object

  The extension used by the AnnouncePlugin.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnouncePluginExtension(org.gradle.api.internal.project.ProjectInternal project)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `announce(String msg, String type)` Sends an announcement of the given type.
    `org.gradle.api.plugins.announce.internal.AnnouncerFactory` | `getAnnouncerFactory()`
    `Announcer` | `getLocal()` Returns an `Announcer` that sends announcements to the local desktop, if a notification mechanism is available.
    `String` | `getPassword()` The password to use for announcements.
    `String` | `getUsername()` The username to use for announcements.
    `void` | `setAnnouncerFactory(org.gradle.api.plugins.announce.internal.AnnouncerFactory announcerFactory)`
    `void` | `setLocal(Announcer localAnnouncer)` Sets the `Announcer` that should be used to send announcements to the local desktop.
    `void` | `setPassword(String password)`
    `void` | `setUsername(String username)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnnouncePluginExtension

          public AnnouncePluginExtension(org.gradle.api.internal.project.ProjectInternal project)

  - ### Method Detail

    - #### getLocal

          public Announcer getLocal()

      Returns an `Announcer` that sends announcements to the local desktop, if a notification mechanism is available.
      Returns:
        The announcer.

    - #### setLocal

          public void setLocal(Announcer localAnnouncer)

      Sets the `Announcer` that should be used to send announcements to the local desktop.

    - #### announce

          public void announce(String msg,
                               String type)

      Sends an announcement of the given type.
      Parameters:
        `msg` - The content of the announcement
        `type` - The announcement type.

    - #### getUsername

          public String getUsername()

      The username to use for announcements.

    - #### setUsername

          public void setUsername(String username)

    - #### getPassword

          public String getPassword()

      The password to use for announcements.

    - #### setPassword

          public void setPassword(String password)

    - #### getAnnouncerFactory

          public org.gradle.api.plugins.announce.internal.AnnouncerFactory getAnnouncerFactory()

    - #### setAnnouncerFactory

          public void setAnnouncerFactory(org.gradle.api.plugins.announce.internal.AnnouncerFactory announcerFactory)